Bug 5194 - Patron notification on new issues not working
Summary: Patron notification on new issues not working
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL: /cgi-bin/koha/serials/serials-edit.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-01 20:43 UTC by Katrin Fischer
Modified: 2012-10-25 22:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (889 bytes, patch)
2010-09-02 12:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2010-09-01 20:43:57 UTC
After adding a notice to the subscription it is not possible to receive new issues. The error message shown is:

Undefined subroutine &C4::Letters::GetMember called at /home/katrin/kohaclone/C4/Letters.pm line 278.

No email notifications are sent out.

Koha version: 	3.01.00.145
Comment 1 Colin Campbell 2010-09-02 00:24:58 UTC
I think in C4/Letters.pm. GetMember needs to be C4::Members::GetMember at line 278. The same change has been made elsewhere. Haven't yet been able to confirm by testing.
Comment 2 Katrin Fischer 2010-09-02 12:18:08 UTC
Created attachment 2599 [details] [review]
proposed patch

Hi Colin, your suggested solution works. Thanks for the comment!
Comment 3 Katrin Fischer 2010-10-06 22:00:39 UTC
Successfully tested on current head. Closing bug.